//             (C) by Florian Lindner 1998
//---------------------------------------------------------------------------
#ifndef FSchalterH
#define FSchalterH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
class FSchalter : public TGraphicControl
{
private:
    Boolean FUp;
    void __fastcall SetUp(Boolean);
    void PaintUp();
    void PaintDown();
protected:
    void __fastcall Paint();
    void __fastcall MouseDown(TMouseButton,TShiftState,int,int);
public:
	__fastcall FSchalter(TComponent* Owner);
    void __fastcall SetBounds(int,int,int,int);
__published:
    __property Visible;
    __property Hint;
    __property ShowHint;
    __property OnClick;
    __property Left;
    __property Top;
    __property Boolean Up = { read=FUp, write=SetUp, default=true };
};
//---------------------------------------------------------------------------
#endif
